View Issue Details

IDProjectCategoryView StatusLast Update
06420Bug reports[All Projects] Survey designpublic2012-08-16 10:23
ReporterMaziAssigned Tojcleeland 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00RC7 
Target Version2.00RC9Fixed in Version2.00RC9 
Summary06420: Timer causes redirection even when previewing a survey
Description

When I add a timer to a "list radio" question (see attached test survey) and run the group or question preview, then the script starts a redirection when time is up.
This causes two problems:

  1. The redirect causes the preview page to load the Limesurvey root page.
  2. A cookie seems to be set also at preview mode so you can't test/preview the question any further. You are automatically shown a "Your time to view this question has expired." message and then you are redirected.
Steps To Reproduce

Import the attached survey
Start the question preview of the "radio_timer" question and wait until time is up
-> You are redirected to the Limesurvey root page (and a cookie seems to be set).

Start the preview again and the question automatically starts to redirect :-(

TagsNo tags attached.
Complete LimeSurvey version number (& build)201208
I will donate to the project if issue is resolvedNo
BrowserLatest Google Chrome
Database & DB-VersionMySQL 5
Server OS (if known)Windows 7
Webserver software & version (if known)Apache 2.2
PHP Version5.3.1

Activities

Mazi

Mazi

2012-08-02 16:16

partner  

limesurvey_survey_246278.lss (15,120 bytes)
jcleeland

jcleeland

2012-08-03 03:40

reporter   ~20118

I think this happens with timers in all question types, and I guess I'll have to think about how to fix it. The cookie setting is meant to be fixed and unchangeable - so that the timer really does lock people out of a question once the time has expired. The issue here is how to tell LimeSurvey that this is just a test system, and to avoid setting the cookie, without breaking the timer for live surveys.

I'll get onto it next week Mazi :-)

Mazi

Mazi

2012-08-04 12:24

partner   ~20182

Thanks, Jason.

Not sure if this is a proper solution but one could check the URL if it contains "previewgroup" and then deopending on this change the behavior (same for question preview!?).

jcleeland

jcleeland

2012-08-15 05:51

reporter   ~20429

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9356

c_schmitz

c_schmitz

2012-08-16 10:23

administrator   ~20446

Version 2.00 RC 9 released.

Related Changesets

LimeSurvey: Yii 94424cfc

2012-08-14 20:50:45

jcleeland

Details Diff
Fixed issue 06420 - Timer causes redirection even when perviewing a survey Affected Issues
06420
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2012-08-02 16:16 Mazi New Issue
2012-08-02 16:16 Mazi Status new => assigned
2012-08-02 16:16 Mazi Assigned To => jcleeland
2012-08-02 16:16 Mazi File Added: limesurvey_survey_246278.lss
2012-08-03 03:40 jcleeland Note Added: 20118
2012-08-04 12:24 Mazi Note Added: 20182
2012-08-15 00:23 c_schmitz Target Version 2.00+ => 2.00RC9
2012-08-15 05:51 jcleeland Changeset attached => LimeSurvey Yii 94424cfc
2012-08-15 05:51 jcleeland Note Added: 20429
2012-08-15 05:51 jcleeland Resolution open => fixed
2012-08-15 05:52 jcleeland Status assigned => resolved
2012-08-16 00:15 c_schmitz Fixed in Version => 2.00RC9
2012-08-16 10:23 c_schmitz Note Added: 20446
2012-08-16 10:23 c_schmitz Status resolved => closed